<?php

function sheila_banner_img_url(){
	global $sheila;

	$sheila_home_banner_img					 = '';

	if ( isset( $sheila['sheila_home_banner_img']['url'] ) ) {
		$sheila_home_banner_img = $sheila['sheila_home_banner_img']['url'];
	}

	$sheila_port_mb_img = get_post_meta(get_the_ID(), '_sheila_upload_banner_image', true);
	$default_banner_img = get_template_directory_uri() . '/assets/img/bg/section-bg.jpg';

	if($sheila_port_mb_img){ 
		return esc_url($sheila_port_mb_img);
	}elseif($sheila_home_banner_img){
		return esc_url($sheila_home_banner_img);
	}else{
		return esc_url($default_banner_img);
	}

}

function sheila_default_banner(){ 

?>
	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background-image: url(<?php echo sheila_banner_img_url();?>);  background-size:cover; background-position: center center;background-attachment:fixed;">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title wow fadeInRight" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<?php the_title('<h2>' ,'</h2>');?>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'sheila');?></a></li>
						  <li class="active"><?php the_title();?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->	
	
<?php }

function sheila_blog_page_banner(){ 
global $sheila;

$sheila_blog_title					 = '';

if ( isset( $sheila['sheila_blog_title'] ) ) {
	$sheila_blog_title = $sheila['sheila_blog_title'];
}


?>
	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background-image: url(<?php echo sheila_banner_img_url();?>);  background-size:cover; background-position: center center;background-attachment:fixed;">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title wow fadeInRight" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php 
							if($sheila_blog_title){
								echo esc_html($sheila_blog_title);
							}else{
								esc_html_e('Blog' , 'sheila');
							}

						?>
						
						</h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'sheila');?></a></li>
						  <li class="active"><?php 
							if($sheila_blog_title){
								echo esc_html($sheila_blog_title);
							}else{
								esc_html_e('Blog' , 'sheila');
							}
						  ?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->	
<?php	
} 

function sheila_shop_banner(){ 

?>
	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background-image: url(<?php echo sheila_banner_img_url();?>);  background-size:cover; background-position: center center;background-attachment:fixed;">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title wow fadeInRight" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php echo esc_html__('Shop' ,'sheila');?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'sheila');?></a></li>
						  <li class="active"><?php echo esc_html__('Shop' ,'sheila');?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->	
<?php	
} 

function sheila_archive_banner(){ 

?>
	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background-image: url(<?php echo sheila_banner_img_url();?>);  background-size:cover; background-position: center center;background-attachment:fixed;">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title wow fadeInRight" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php esc_html_e('Archive' ,'sheila');?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'sheila');?></a></li>
						  <li class="active"><?php the_archive_title();?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->	
<?php	
} 

function sheila_search_banner(){ 

?>
	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background-image: url(<?php echo sheila_banner_img_url();?>);  background-size:cover; background-position: center center;background-attachment:fixed;">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title wow fadeInRight" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php esc_html_e('Search Results' ,'sheila');?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'sheila');?></a></li>
						  <li class="active"><?php printf( esc_html__( 'Search Results for: %s', 'sheila' ), '<span>' . esc_html(get_search_query()) . '</span>' ); ?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->	
<?php	
} 

function sheila_404_banner(){ 

?>
	<!-- START  HOME DESIGN -->
	<section class="section-top" style="background-image: url(<?php echo sheila_banner_img_url();?>);  background-size:cover; background-position: center center;background-attachment:fixed;">
		<div class="overlay">
			<div class="container">
				<div class="col-md-10 col-md-offset-1 col-xs-12 text-center">
					<div class="section-top-title wow fadeInRight" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
						<h2><?php esc_html_e('404' ,'sheila');?></h2>
						<ol class="breadcrumb">
						  <li><a href="<?php echo esc_url(home_url('/'));?>"><?php esc_html_e('Home' , 'sheila');?></a></li>
						  <li class="active"><?php printf( esc_html__( '404 Not Found', 'sheila' ) ); ?></li>
						</ol>
					</div><!-- //.HERO-TEXT -->
				</div><!--- END COL -->
			</div><!--- END CONTAINER -->
		</div><!--- END HOME OVERLAY -->
	</section>	
	<!-- END  HOME DESIGN -->	
<?php	
} 

function sheila_main_header(){
global $sheila;	

$sheila_home_logo					 = '';
$sheila_preloader_opt					 = '';
$sheila_homepage_opt					 = '';
$sheila_preloader_bg_color					 = '';
$sheila_preloader_imge					 = '';

if ( isset( $sheila['sheila_home_logo']['url'] ) ) {
	$sheila_home_logo = $sheila['sheila_home_logo']['url'];
}

if ( isset( $sheila['sheila_preloader_opt'] ) ) {
	$sheila_preloader_opt = $sheila['sheila_preloader_opt'];
}

if ( isset( $sheila['sheila_homepage_opt'] ) ) {
	$sheila_homepage_opt = $sheila['sheila_homepage_opt'];
}

if ( isset( $sheila['sheila_preloader_bg_color'] ) ) {
	$sheila_preloader_bg_color = $sheila['sheila_preloader_bg_color'];
}

if ( isset( $sheila['sheila_preloader_imge']['url'] ) ) {
	$sheila_preloader_imge = $sheila['sheila_preloader_imge']['url'];
}

$default_logo_img = get_template_directory_uri() . '/assets/img/logo.png';

?>

	<?php if($sheila_preloader_opt == '1' && !$sheila_homepage_opt == '1') { ?>
	<!-- START PRELOADER -->
		<div class="preloader" style="background-color: <?php if(isset($sheila_preloader_bg_color)) { echo esc_attr($sheila_preloader_bg_color);}?>;">
			<div class="status">
				<div class="status-mes" style="background-image: url(<?php if(isset($sheila_preloader_imge)) { echo esc_url($sheila_preloader_imge);}?>);"></div>
			</div>
		</div>
	
	<?php }elseif($sheila_preloader_opt == '1' && $sheila_homepage_opt == '1'){ ?>	

	<?php if(is_front_page()) {?>
	<!-- START PRELOADER -->
		<div class="preloader" style="background-color: <?php if(isset($sheila_preloader_bg_color)) { echo esc_attr($sheila_preloader_bg_color);}?>;">
			<div class="status">
				<div class="status-mes" style="background-image: url(<?php if(isset($sheila_preloader_imge)) { echo esc_url($sheila_preloader_imge);}?>);"></div>
			</div>
		</div>
	<?php } } ?>

	<!-- START NAVBAR -->
	<div class="navbar navbar-default navbar-fixed-top menu-top <?php if(is_user_logged_in()){ echo esc_attr('admin_login_menu');}?>">
		<div class="container">
			<div class="navbar-header">
				<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
					<span class="sr-only"><?php esc_html_e('Toggle navigation' , 'sheila');?></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
				<a href="<?php echo esc_url(home_url('/'));?>" class="navbar-brand"><img src="<?php if($sheila_home_logo){ echo esc_url($sheila_home_logo);}else{ echo esc_url($default_logo_img);}?>"></a>
			</div>
			<div class="navbar-collapse collapse">
				<nav class="mainmenu" id="nav">
					<?php sheila_main_menu();?>
				</nav>
			</div> 
		</div><!--- END CONTAINER -->
	</div> 
	<!-- END NAVBAR -->	    
	
<?php }

function sheila_main_footer(){
global $sheila;	

$sheila_copywrite_text					 = '';
$sheila_fot_social_opt					 = '';
$sheila_ft_fb_url					 = '';
$sheila_ft_tw_url					 = '';
$sheila_ft_ytube_url					 = '';
$sheila_ft_linkedin_url					 = '';
$sheila_ft_instagram_url					 = '';

if ( isset( $sheila['sheila_copywrite_text']) ) {
	$sheila_copywrite_text = $sheila['sheila_copywrite_text'];
}

if ( isset( $sheila['sheila_fot_social_opt']) ) {
	$sheila_fot_social_opt = $sheila['sheila_fot_social_opt'];
}

if ( isset( $sheila['sheila_ft_fb_url']) ) {
	$sheila_ft_fb_url = $sheila['sheila_ft_fb_url'];
}

if ( isset( $sheila['sheila_ft_tw_url']) ) {
	$sheila_ft_tw_url = $sheila['sheila_ft_tw_url'];
}

if ( isset( $sheila['sheila_ft_ytube_url']) ) {
	$sheila_ft_ytube_url = $sheila['sheila_ft_ytube_url'];
}

if ( isset( $sheila['sheila_ft_linkedin_url']) ) {
	$sheila_ft_linkedin_url = $sheila['sheila_ft_linkedin_url'];
}

if ( isset( $sheila['sheila_ft_instagram_url']) ) {
	$sheila_ft_instagram_url = $sheila['sheila_ft_instagram_url'];
}


if($sheila_fot_social_opt == true){
?>
<section class="social_profile section-padding">
	<div class="container">
		<div class="row text-center">	
			<div data-wow-offset="0" data-wow-delay="0.1s" data-wow-duration="1s" class="col-md-12 col-sm-12 col-xs-12 wow fadeInLeft" style="visibility: visible; animation-duration: 1s; animation-delay: 0.1s; animation-name: fadeInLeft;">
				<div class="single_social_profile">
					<h2><?php esc_html_e('Follow us on' , 'sheila');?></h2>
					<span></span>
					<ul>
						<?php if($sheila_ft_fb_url){?>
						<li><a href="<?php echo esc_url($sheila_ft_fb_url);?>"><i class="fa fa-facebook facebook"></i></a></li>
						<?php }if($sheila_ft_tw_url){ ?>
						<li><a href="<?php echo esc_url($sheila_ft_tw_url);?>"><i class="fa fa-twitter twitter"></i></a></li>
						<?php }if($sheila_ft_ytube_url){ ?>
						<li><a href="<?php echo esc_url($sheila_ft_ytube_url);?>"><i class="fa fa-youtube google"></i></a></li>
						<?php }if($sheila_ft_linkedin_url){?>
						<li><a href="<?php echo esc_url($sheila_ft_linkedin_url);?>"><i class="fa fa-linkedin linkedin"></i></a></li>
						<?php }if($sheila_ft_instagram_url){?>
						<li><a href="<?php echo esc_url($sheila_ft_instagram_url);?>"><i class="fa fa-instagram instagram"></i></a></li>
						<?php }?>
					</ul>
				</div>
			</div><!-- END COL -->
		</div><!-- END ROW  -->
	</div><!-- END CONTAINER  -->
</section>
<?php } ?>
<!-- START FOOTER -->
<footer class="footer">
	<div class="container">
		<div class="row">
			<div class="col-sm-12 text-center wow zoomIn">
				<p class="footer_copyright">
				<?php 
					if($sheila_copywrite_text){
						echo sheila_wp_kses($sheila_copywrite_text);
					}else{
						echo sheila_wp_kses("Sheila © 2022 All Rights Reserved.");
					}
					
				?>
				</p>						
			</div><!--- END COL -->
		</div><!--- END ROW -->
	</div><!--- END CONTAINER -->	
</footer>
<!-- END FOOTER -->				
	
	
<?php }

