<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package sheila
 */

get_header(); 
sheila_default_banner();
?>


<!-- START SINGLE PROJECT -->
<section class="single_project">
	<div class="container">
	<?php while(have_posts()) : the_post() ;
	$sheila_port_image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'sheila_piccolo_port_thumb');
	$sheila_client_label = get_post_meta(get_the_ID(), '_sheila_port_client_label', true);
	$sheila_port_client_name = get_post_meta(get_the_ID(), '_sheila_port_client_name', true);
	$sheila_port_date_label = get_post_meta(get_the_ID(), '_sheila_port_date_label', true);
	$sheila_port_date = get_post_meta(get_the_ID(), '_sheila_port_date', true);
	$sheila_port_project_url_label = get_post_meta(get_the_ID(), '_sheila_port_project_url_label', true);
	$sheila_port_url = get_post_meta(get_the_ID(), '_sheila_port_pro_url', true);
	?>		
		<div class="row section-padding">
			<div class="col-md-4">
				<div class="project_details">
					<div class="about_project">
						<h4><?php esc_html_e('About Project' , 'sheila');?></h4>
						<?php the_content();?>
					</div>
					<div class="about_project_details">
						<h4><?php esc_html_e('Project Details' , 'sheila');?></h4>
						<ul>
							<li><i class="fa fa-user"></i><b><?php echo esc_html($sheila_client_label);?>: </b><?php echo esc_html($sheila_port_client_name);?></li>
							<li><i class="fa fa-clock-o"></i><b><?php echo esc_html($sheila_port_date_label);?>: </b><?php echo esc_html($sheila_port_date);?></li>
							<li><i class="fa fa-folder"></i><b><?php esc_html_e('Category:' , 'sheila');?> </b>
										<?php 
											$terms = get_the_terms(get_the_ID(), 'portfolio_cat');
											 foreach ( $terms as $term ) { ?>
											<span class="cat_name"><?php echo esc_html($term->name); ?></span>
											<?php } ?> </li>
							<li><i class="fa fa-folder"></i><b><?php echo esc_html($sheila_port_project_url_label);?>: </b><a href="<?php echo esc_url($sheila_port_url);?>"><?php echo esc_html($sheila_port_url);?></a></li>
						</ul>
					</div>
					<a href="<?php echo esc_url($sheila_port_url);?>" class="btn-light-bg"><?php esc_html_e('See Live Project' , 'sheila');?></a>
				</div>
			</div><!--- END COL -->
			
			<div class="col-md-8">
				<div class="project_dec">
					<img alt="<?php echo esc_attr(get_the_title());?>" class="img-responsive" src="<?php echo esc_url($sheila_port_image['0']);?>">
				 </div>
			</div><!--- END COL -->					
		</div>
		
		<?php endwhile;?>	
		
		<div class="row project_pb">
			<div class="grid portfolio_project">
				<?php // WP_Query arguments
					$args = array (
						'post_type'              => array( 'portfolios' ),
						'post__not_in' => array($post->ID),
						'posts_per_page'=> 3
					);

					// The Query
					$sheila_port_query = new WP_Query( $args );

					// The Loop
					if ( $sheila_port_query->have_posts() ) {
						while ( $sheila_port_query->have_posts() ) {
							$sheila_port_query->the_post(); 
							$sheila_port_image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'sheila_port_thumb');
							?>
						<div class="col-sm-4">
							<figure>
								<div><img src="<?php echo esc_url($sheila_port_image['0']);?>" alt="<?php echo esc_attr(get_the_title());?>"></div>
								<figcaption>
									<?php the_title('<h4>' , '</h4>');?>
									<a href="<?php the_permalink();?>"><?php esc_html_e('View Item' , 'sheila');?></a>
								</figcaption>
							</figure>
						</div>				
						
					<?php	}
					} else {
						// no posts found
					}

					// Restore original Post Data
					wp_reset_postdata();?>							

			</div>
		</div><!-- END ROW  -->
	</div><!-- END CONTAINER  -->
</section>
<!-- END SINGLE PROJECT -->		

<?php

get_footer();
