<?php

if ( ! function_exists('sheila_our_portfolios') ) {

// Register Custom Post Type
function sheila_our_portfolios() {

	$labels = array(
		'name'                  => _x( 'Portfolios', 'Post Type General Name', 'sheila' ),
		'singular_name'         => _x( 'Portfolio', 'Post Type Singular Name', 'sheila' ),
		'menu_name'             => __( 'Portfolios', 'sheila' ),
		'name_admin_bar'        => __( 'Portfolios', 'sheila' ),
		'archives'              => __( 'Item Archives', 'sheila' ),
		'parent_item_colon'     => __( 'Parent Item:', 'sheila' ),
		'all_items'             => __( 'All Items', 'sheila' ),
		'add_new_item'          => __( 'Add New Item', 'sheila' ),
		'add_new'               => __( 'Add New', 'sheila' ),
		'new_item'              => __( 'New Item', 'sheila' ),
		'edit_item'             => __( 'Edit Item', 'sheila' ),
		'update_item'           => __( 'Update Item', 'sheila' ),
		'view_item'             => __( 'View Item', 'sheila' ),
		'search_items'          => __( 'Search Item', 'sheila' ),
		'not_found'             => __( 'Not found', 'sheila' ),
		'not_found_in_trash'    => __( 'Not found in Trash', 'sheila' ),
		'featured_image'        => __( 'Featured Image', 'sheila' ),
		'set_featured_image'    => __( 'Set featured image', 'sheila' ),
		'remove_featured_image' => __( 'Remove featured image', 'sheila' ),
		'use_featured_image'    => __( 'Use as featured image', 'sheila' ),
		'insert_into_item'      => __( 'Insert into item', 'sheila' ),
		'uploaded_to_this_item' => __( 'Uploaded to this item', 'sheila' ),
		'items_list'            => __( 'Items list', 'sheila' ),
		'items_list_navigation' => __( 'Items list navigation', 'sheila' ),
		'filter_items_list'     => __( 'Filter items list', 'sheila' ),
	);
	$args = array(
		'label'                 => __( 'Portfolio', 'sheila' ),
		'description'           => __( 'Post Type Description', 'sheila' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', 'thumbnail', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-portfolio',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'portfolios', $args );

}
add_action( 'init', 'sheila_our_portfolios', 0 );

}

// Register Custom Taxonomy
function sheila_portfolio_taxonomy() {

	$labels = array(
		'name'                       => _x( 'Portfolios Categories', 'Taxonomy General Name', 'sheila' ),
		'singular_name'              => _x( 'Portfolios Category', 'Taxonomy Singular Name', 'sheila' ),
		'menu_name'                  => __( 'Categories', 'sheila' ),
		'all_items'                  => __( 'All Items', 'sheila' ),
		'parent_item'                => __( 'Parent Item', 'sheila' ),
		'parent_item_colon'          => __( 'Parent Item:', 'sheila' ),
		'new_item_name'              => __( 'New Item Name', 'sheila' ),
		'add_new_item'               => __( 'Add New Item', 'sheila' ),
		'edit_item'                  => __( 'Edit Item', 'sheila' ),
		'update_item'                => __( 'Update Item', 'sheila' ),
		'view_item'                  => __( 'View Item', 'sheila' ),
		'separate_items_with_commas' => __( 'Separate items with commas', 'sheila' ),
		'add_or_remove_items'        => __( 'Add or remove items', 'sheila' ),
		'choose_from_most_used'      => __( 'Choose from the most used', 'sheila' ),
		'popular_items'              => __( 'Popular Items', 'sheila' ),
		'search_items'               => __( 'Search Items', 'sheila' ),
		'not_found'                  => __( 'Not Found', 'sheila' ),
	);
	$args = array(
		'labels'                     => $labels,
		'hierarchical'               => true,
		'public'                     => true,
		'show_ui'                    => true,
		'show_admin_column'          => true,
		'show_in_nav_menus'          => true,
		'show_tagcloud'              => true,
	);
	register_taxonomy( 'portfolio_cat', array( 'portfolios' ), $args );

}
add_action( 'init', 'sheila_portfolio_taxonomy', 0 );


if ( ! function_exists('sheila_team') ) {

// Register Custom Post Type
function sheila_team() {

	$labels = array(
		'name'                  => _x( 'Team', 'Post Type General Name', 'sheila' ),
		'singular_name'         => _x( 'Team', 'Post Type Singular Name', 'sheila' ),
		'menu_name'             => __( 'Team', 'sheila' ),
		'name_admin_bar'        => __( 'Team', 'sheila' ),
		'archives'              => __( 'Item Archives', 'sheila' ),
		'parent_item_colon'     => __( 'Parent Item:', 'sheila' ),
		'all_items'             => __( 'All Items', 'sheila' ),
		'add_new_item'          => __( 'Add New Item', 'sheila' ),
		'add_new'               => __( 'Add New', 'sheila' ),
		'new_item'              => __( 'New Item', 'sheila' ),
		'edit_item'             => __( 'Edit Item', 'sheila' ),
		'update_item'           => __( 'Update Item', 'sheila' ),
		'view_item'             => __( 'View Item', 'sheila' ),
		'search_items'          => __( 'Search Item', 'sheila' ),
		'not_found'             => __( 'Not found', 'sheila' ),
		'not_found_in_trash'    => __( 'Not found in Trash', 'sheila' ),
		'featured_image'        => __( 'Featured Image', 'sheila' ),
		'set_featured_image'    => __( 'Set featured image', 'sheila' ),
		'remove_featured_image' => __( 'Remove featured image', 'sheila' ),
		'use_featured_image'    => __( 'Use as featured image', 'sheila' ),
		'insert_into_item'      => __( 'Insert into item', 'sheila' ),
		'uploaded_to_this_item' => __( 'Uploaded to this item', 'sheila' ),
		'items_list'            => __( 'Items list', 'sheila' ),
		'items_list_navigation' => __( 'Items list navigation', 'sheila' ),
		'filter_items_list'     => __( 'Filter items list', 'sheila' ),
	);
	$args = array(
		'label'                 => __( 'Team', 'sheila' ),
		'description'           => __( 'Post Type Description', 'sheila' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'thumbnail', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-groups',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'sheila_team', $args );

}
add_action( 'init', 'sheila_team', 0 );

}

if ( ! function_exists('sheila_testimonials') ) {

// Register Custom Post Type
function sheila_testimonials() {

	$labels = array(
		'name'                  => _x( 'Testimonials', 'Post Type General Name', 'sheila' ),
		'singular_name'         => _x( 'Testimonial', 'Post Type Singular Name', 'sheila' ),
		'menu_name'             => __( 'Testimonials', 'sheila' ),
		'name_admin_bar'        => __( 'Testimonials', 'sheila' ),
		'archives'              => __( 'Item Archives', 'sheila' ),
		'parent_item_colon'     => __( 'Parent Item:', 'sheila' ),
		'all_items'             => __( 'All Items', 'sheila' ),
		'add_new_item'          => __( 'Add New Item', 'sheila' ),
		'add_new'               => __( 'Add New', 'sheila' ),
		'new_item'              => __( 'New Item', 'sheila' ),
		'edit_item'             => __( 'Edit Item', 'sheila' ),
		'update_item'           => __( 'Update Item', 'sheila' ),
		'view_item'             => __( 'View Item', 'sheila' ),
		'search_items'          => __( 'Search Item', 'sheila' ),
		'not_found'             => __( 'Not found', 'sheila' ),
		'not_found_in_trash'    => __( 'Not found in Trash', 'sheila' ),
		'featured_image'        => __( 'Featured Image', 'sheila' ),
		'set_featured_image'    => __( 'Set featured image', 'sheila' ),
		'remove_featured_image' => __( 'Remove featured image', 'sheila' ),
		'use_featured_image'    => __( 'Use as featured image', 'sheila' ),
		'insert_into_item'      => __( 'Insert into item', 'sheila' ),
		'uploaded_to_this_item' => __( 'Uploaded to this item', 'sheila' ),
		'items_list'            => __( 'Items list', 'sheila' ),
		'items_list_navigation' => __( 'Items list navigation', 'sheila' ),
		'filter_items_list'     => __( 'Filter items list', 'sheila' ),
	);
	$args = array(
		'label'                 => __( 'Testimonial', 'sheila' ),
		'description'           => __( 'Post Type Description', 'sheila' ),
		'labels'                => $labels,
		'supports'              => array( 'title', 'editor', 'thumbnail', ),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-smiley',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'testimonials', $args );

}
add_action( 'init', 'sheila_testimonials', 0 );

}


if ( ! function_exists('sheila_pricing_table') ) {

// Register Custom Post Type
function sheila_pricing_table() {

	$labels = array(
		'name'                  => _x( 'Pricing Table', 'Post Type General Name', 'sheila' ),
		'singular_name'         => _x( 'Pricing Table', 'Post Type Singular Name', 'sheila' ),
		'menu_name'             => __( 'Pricing Table', 'sheila' ),
		'name_admin_bar'        => __( 'Pricing Table', 'sheila' ),
		'archives'              => __( 'Item Archives', 'sheila' ),
		'parent_item_colon'     => __( 'Parent Item:', 'sheila' ),
		'all_items'             => __( 'All Items', 'sheila' ),
		'add_new_item'          => __( 'Add New Item', 'sheila' ),
		'add_new'               => __( 'Add New', 'sheila' ),
		'new_item'              => __( 'New Item', 'sheila' ),
		'edit_item'             => __( 'Edit Item', 'sheila' ),
		'update_item'           => __( 'Update Item', 'sheila' ),
		'view_item'             => __( 'View Item', 'sheila' ),
		'search_items'          => __( 'Search Item', 'sheila' ),
		'not_found'             => __( 'Not found', 'sheila' ),
		'not_found_in_trash'    => __( 'Not found in Trash', 'sheila' ),
		'featured_image'        => __( 'Featured Image', 'sheila' ),
		'set_featured_image'    => __( 'Set featured image', 'sheila' ),
		'remove_featured_image' => __( 'Remove featured image', 'sheila' ),
		'use_featured_image'    => __( 'Use as featured image', 'sheila' ),
		'insert_into_item'      => __( 'Insert into item', 'sheila' ),
		'uploaded_to_this_item' => __( 'Uploaded to this item', 'sheila' ),
		'items_list'            => __( 'Items list', 'sheila' ),
		'items_list_navigation' => __( 'Items list navigation', 'sheila' ),
		'filter_items_list'     => __( 'Filter items list', 'sheila' ),
	);
	$args = array(
		'label'                 => __( 'Pricing Table', 'sheila' ),
		'description'           => __( 'Post Type Description', 'sheila' ),
		'labels'                => $labels,
		'supports'              => array( 'title'),
		'hierarchical'          => false,
		'public'                => true,
		'show_ui'               => true,
		'show_in_menu'          => true,
		'menu_position'         => 5,
		'menu_icon'   => 'dashicons-list-view',
		'show_in_admin_bar'     => true,
		'show_in_nav_menus'     => true,
		'can_export'            => true,
		'has_archive'           => true,		
		'exclude_from_search'   => false,
		'publicly_queryable'    => true,
		'capability_type'       => 'page',
	);
	register_post_type( 'pricing_table', $args );

}
add_action( 'init', 'sheila_pricing_table', 0 );

}