<?php


add_action( 'cmb2_init', 'sheila_page_metabox' );

function sheila_page_metabox(){
	// Start with an underscore to hide fields from custom fields list
	$prefix = '_sheila_';


	// Page Options	

	$cmb2_page_options = new_cmb2_box( array(
		'id'           => $prefix . 'page_option',
		'title'        => esc_html__( 'Home Versions', 'sheila' ),
		'object_types' => array( 'page'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );

	$cmb2_page_options->add_field( array(
	    'id'               => $prefix .'page_home_versions',
	    'desc'             => esc_html__( 'select version here. this option only for Page Fullscreen Template ','sheila' ),
		 'type'             => 'select',
		'default'          => 'light',
		'options'          => array(
			'light' => esc_html__( 'Light', 'sheila' ),
			'dark'   => esc_html__( 'Dark', 'sheila' ),
		),
	) );

	$cmb2_post_1_options = new_cmb2_box( array(
		'id'           => $prefix . 'p1banner_option',
		'title'        => esc_html__( 'Upload Banner Image', 'sheila' ),
		'object_types' => array( 'page' , 'post', 'portfolios'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );

	$cmb2_post_1_options->add_field( array(
	    'id'               => $prefix .'upload_banner_image',
	    'desc'             => esc_html__( 'Please upload banner image here ','sheila' ),
		 'type'             => 'file',
	) );	
	
	//Post Options	
	$cmb2_post_options = new_cmb2_box( array(
		'id'           => $prefix . 'posts_option',
		'title'        => esc_html__( 'Post Formats', 'sheila' ),
		'object_types' => array( 'post'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );	
	
	$cmb2_post_options->add_field( array(
	    'name'             => esc_html__('Audio / Video Post Embed Code ', 'sheila' ),
	    'id'               => $prefix .'vid_post_title',
	    'type'    => 'title',
	) );		
	
	$cmb2_post_options->add_field( array(
	    'name'             => esc_html__('Embed Code' , 'sheila'),
	    'id'               => $prefix .'embed_code',
		'desc'    => 'enter embed code here',
	    'type'    => 'textarea_code',
	) );		
	
	$cmb2_post_options->add_field( array(
	    'name'             => esc_html__('Quote Post ', 'sheila'),
	    'id'               => $prefix .'quote_post_title',
	    'type'    => 'title',
	) );		
	
	$cmb2_post_options->add_field( array(
	    'name'             => esc_html__('Quote', 'sheila'),
	    'id'               => $prefix .'quote_content',
		'desc'    => 'enter quote content here',
	    'type'    => 'textarea',
	) );
	
	
	$cmb2_team = new_cmb2_box( array(
		'id'           => $prefix . 'team_member_options',
		'title'        => esc_html__( 'Team Info', 'sheila' ),
		'object_types' => array( 'sheila_team'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );

	$cmb2_team->add_field( array(
	    'name'             => esc_html__('Designation' , 'sheila'),
	    'id'               => $prefix .'team_designation',
	    'desc'             => esc_html__( 'write designation here','sheila' ),
		'type'       => 'text',
		'default'       => 'Web Developer',
	) );	
	
	$cmb2_team->add_field( array(
	    'name'             => esc_html__('Facebook Link' , 'sheila'),
	    'id'               => $prefix .'team_fburl',
	    'desc'             => esc_html__( 'enter url here','sheila' ),
		'type'       => 'text',
		'default'       => '#',
	) );		
	
	$cmb2_team->add_field( array(
	    'name'             => esc_html__('Twitter Link' , 'sheila'),
	    'id'               => $prefix .'team_twurl',
	    'desc'             => esc_html__( 'enter url here','sheila' ),
		'type'       => 'text',
		'default'       => '#',
	) );

	$cmb2_team->add_field( array(
	    'name'             => esc_html__('Google Plus Link' , 'sheila'),
	    'id'               => $prefix .'team_gplusurl',
	    'desc'             => esc_html__( 'enter url here','sheila' ),
		'type'       => 'text',
		'default'       => '#',
	) );		
		
	$cmb2_team->add_field( array(
	    'name'             => esc_html__('Linkedin Link' , 'sheila'),
	    'id'               => $prefix .'team_linkeurl',
	    'desc'             => esc_html__( 'enter url here','sheila' ),
		'type'       => 'text',
		'default'       => '#',
	) );		

	$cmb2_testi = new_cmb2_box( array(
		'id'           => $prefix . 'testimonials_options',
		'title'        => esc_html__( 'Testimonials Info', 'sheila' ),
		'object_types' => array( 'testimonials'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );

	$cmb2_testi->add_field( array(
	    'name'             => esc_html__('Designation' , 'sheila'),
	    'id'               => $prefix .'testi_designation',
	    'desc'             => esc_html__( 'write designation here','sheila' ),
		'type'       => 'text',
		'default'       => 'Themeforest & CodeCanyon ',
	) );		
	
	$cmb2_portfolios = new_cmb2_box( array(
		'id'           => $prefix . 'portfolios_options',
		'title'        => esc_html__( 'Portfolios Info', 'sheila' ),
		'object_types' => array( 'portfolios'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );

	$cmb2_portfolios->add_field( array(
	    'name'             => esc_html__('Client Label' , 'sheila'),
	    'id'               => $prefix .'port_client_label',
	    'desc'             => esc_html__( 'write client Label here','sheila' ),
		'type'             => 'text',
		'default'    => 'Client',
	) );		
	
	$cmb2_portfolios->add_field( array(
	    'name'             => esc_html__('Client Name' , 'sheila'),
	    'id'               => $prefix .'port_client_name',
	    'desc'             => esc_html__( 'write client name here','sheila' ),
		'type'             => 'text',
		'default'    => 'Themeforest',
	) );	
	
	$cmb2_portfolios->add_field( array(
	    'name'             => esc_html__('Date Label' , 'sheila'),
	    'id'               => $prefix .'port_date_label',
	    'desc'             => esc_html__( 'write date Label here','sheila' ),
		'type'             => 'text',
		'default'    => 'Project Date',
	) );		
	
	$cmb2_portfolios->add_field( array(
	    'name'             => esc_html__('Date' , 'sheila'),
	    'id'               => $prefix .'port_date',
	    'desc'             => esc_html__( 'write Date here','sheila' ),
		'type'             => 'text',
		'default'    => 'February 18, 2016',
	) );		
	
	$cmb2_portfolios->add_field( array(
	    'name'             => esc_html__('Project Url Label' , 'sheila'),
	    'id'               => $prefix .'port_project_url_label',
	    'desc'             => esc_html__( 'write date Label here','sheila' ),
		'type'             => 'text',
		'default'    => 'Project Url',
	) );		
	
	$cmb2_portfolios->add_field( array(
	    'name'             => esc_html__('Project Url' , 'sheila'),
	    'id'               => $prefix .'port_pro_url',
	    'desc'             => esc_html__( 'write project url here','sheila' ),
		'type'             => 'text',
		'default'    => 'www.themeforest.net',
	) );	

	$cmb2_pricing_table = new_cmb2_box( array(
		'id'           => $prefix . 'pricing_table_options',
		'title'        => esc_html__( 'Pricing Table Info', 'sheila' ),
		'object_types' => array( 'pricing_table'), // Post type
		'context'      => 'normal',
		'priority'     => 'high',
		'show_names'   => true, // Show field names on the left
		//'show_on'      => array( 'id' => array( 2, ) ), // Specific post IDs to display this metabox
	) );

	$cmb2_pricing_table->add_field( array(
	    'name'             => esc_html__('Currency Type' , 'sheila'),
	    'id'               => $prefix .'pt_currency_type',
	    'desc'             => esc_html__( 'write currency type here','sheila' ),
		'type'             => 'text',
		'default'    => '$',
	) );		
	
	$cmb2_pricing_table->add_field( array(
	    'name'             => esc_html__('Amount' , 'sheila'),
	    'id'               => $prefix .'pt_amount',
	    'desc'             => esc_html__( 'write amount here','sheila' ),
		'type'             => 'text',
		'default'    => '50',
	) );	
	

	$pricing_field_id = $cmb2_pricing_table->add_field( array(
		'id'          => $prefix .'pricing_group_field_opt',
		'type'        => 'group',
		// 'repeatable'  => false, // use false if you want non-repeatable group
		'options'     => array(
			'group_title'   => esc_html__( 'Pricing Feature {#}', 'sheila' ), // since version 1.1.4, {#} gets replaced by row number
			'add_button'    => esc_html__( 'Add New Feature', 'sheila' ),
			'remove_button' => esc_html__( 'Remove Feature', 'sheila' ),
			'sortable'      => true, // beta
			// 'closed'     => true, // true to have the groups closed by default
		),
	) );

	// Id's for group's fields only need to be unique for the group. Prefix is not needed.
	$cmb2_pricing_table->add_group_field( $pricing_field_id, array(
		'name' => esc_html__('Feature' , 'sheila'),
		'id'   => $prefix .'pt_feature',
		'type' => 'text',
		'default' => 'Free Setup',
	) );	
	
	$cmb2_pricing_table->add_field( array(
	    'name'             => esc_html__('Button Link' , 'sheila'),
	    'id'               => $prefix .'pt_button_link',
	    'desc'             => esc_html__( 'write Button link here','sheila' ),
		'type'             => 'text',
		'default'    => '#',
	) );	
	
}