<?php


//Home sheila features
function sheila_feature_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(          
            'sec_title' => 'About <span>sheila</span>',                 
		), $atts )
    );
ob_start();

?>
	
	<!-- START FEATURE-->
	<section id="about" class="feature section-padding">
		<div class="container-fluid">
			<div class="row text-center">
				<?php if($sec_title){?>
					<div class="section-title wow zoomIn">
						<h2><?php echo wp_kses($sec_title, array('br' => array(), 'span' => array()), '');?></h2>
						<div></div>
					</div>
				<?php }?>
				<?php echo do_shortcode($content);?>								
			</div><!--- END ROW -->								
		</div><!--- END CONTAINER -->
	</section>
	<!-- END FEATURE -->	
<?php 
  return ob_get_clean();
}
add_shortcode ('features_area', 'sheila_feature_area' );

//Home sheila Single features
function sheila_feature_single( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(          
            'sec_icon' => 'fa-tablet',                                 
            'sec_f_title' => 'Modern and creative',                 
            'sec_f_content' => 'Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor.',                 
		), $atts )
    );
ob_start();

?>
		<div class="col-md-3 col-sm-6 col-xs-12 single_feature wow fadeInUp" data-wow-duration="1s" data-wow-delay="0.3s" data-wow-offset="0">
			<i class="fa <?php echo esc_attr($sec_icon);?>"></i>
			<h4><?php echo esc_html($sec_f_title);?></h4>
			<p><?php echo wp_kses($sec_f_content, array('br' => array(), 'p' => array()), '');?></p>						
		</div><!--- END COL -->	

<?php 
  return ob_get_clean();
}
add_shortcode ('feature_single', 'sheila_feature_single' );

//sheila About Us
function sheila_about_us_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(          
            'sec_title' => 'We\'re creative',                 
            'sec_subtitle' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. 
							Ut pulvinar lacus ut eros euismod, sit amet convallis lorem 
							sagittis. In felis dolor, fringilla at mollis ac, blandit a 
							magna. Pellentesque vehicula felis ex, id maximus libero 
							volutpat in. Donec dapibus tellus vel arcu sollicitudin 
							venenatis',
			'sec_btn_text' => 'More About',				
			'sec_btn_url' => '#',				
			'sec_image' => '',				
		), $atts )
    );
ob_start();
$sec_image = wp_get_attachment_image_src($sec_image,'');
?>
		<!-- START ABOUT US -->
		<section class="about_us section-padding">
			<div class="container">
				<div class="row">
					<div class="col-md-4 col-sm-4 col-xs-12">
						<div class="single_about">
							<h4><?php echo esc_html($sec_title);?></h4>
							<p><?php echo wp_kses($sec_subtitle, array('br' => array(), 'p' => array()), '');?></p>
							<a class="btn-light-bg" href="<?php echo esc_url($sec_btn_url);?>"><?php echo esc_html($sec_btn_text);?></a>
						</div>
					</div><!--- END COL -->
					<div class="col-md-4 col-sm-4 col-xs-12">
						<div class="about_img">
							<img src="<?php echo esc_url($sec_image['0']);?>" class="img-responsive" alt="" />
						</div>
					</div><!--- END COL -->					
					<div class="col-md-4 col-sm-4 col-xs-12">
						<div class="skills">						
							<?php echo do_shortcode($content);?>
						</div>	
					</div><!--- END COL -->
				</div><!--- END ROW -->		
			</div><!--- END CONTAINER -->
		</section>
		<!-- END ABOUT US -->

<?php 
  return ob_get_clean();
}
add_shortcode ('about_us_area', 'sheila_about_us_area' );

//sheila Single Skill
function sheila_single_skills( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(          
            'skill_text' => 'Web Design',                                  
            'skill_num' => '95',                                  
		), $atts )
    );
ob_start();

?>

	<div class="progress-bar-linear">
		<p class="progress-bar-text"><?php echo esc_html($skill_text);?></p>
		<div class="progress-bar">
			<span data-percent="<?php echo esc_attr($skill_num);?>"></span>
		</div>
	</div>	

<?php 
  return ob_get_clean();
}
add_shortcode ('single_skills', 'sheila_single_skills' );

//sheila Why Choice Us
function sheila_why_choice_us_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(          
            'sec_title' => 'Why Choose <span>Sheila</span>',                 		
		), $atts )
    );
ob_start();

?>

	<!-- START WHY CHOOSE US -->
	<section class="why_choose_us">
		<div class="container-fluid">
			<div class="row text-center">
				<?php if($sec_title){?>
					<div class="section-title wow zoomIn">
						<h2><?php echo wp_kses($sec_title, array('br' => array(), 'span' => array()), '');?></h2>
						<div></div>
					</div>
				<?php }?>		
				<?php echo do_shortcode($content);?>
			</div><!--- END ROW -->
		</div><!--- END CONTAINER -->
	</section>
	<!-- END WHY CHOOSE US -->	
<?php 
  return ob_get_clean();
}
add_shortcode ('why_choice_us_area', 'sheila_why_choice_us_area' );

//sheila Single Choice us
function sheila_single_choice_us( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(          
            'sec_w_title' => 'Well decumented',                 
            'sec_w_subtitle' => 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Pellentesque sagittis, diam in sollicitudin congue, nisi nunc sagittis risus, sit amet blandit.',							
			'sec_color_opt' => 'single_why_one',
), $atts )
    );
ob_start();

?>

	<div class="col-md-3 col-sm-3 col-xs-12 no-padding">
		<div class="single_why <?php echo esc_attr($sec_color_opt);?> wow fadeInLeft">
			<h3><?php echo esc_html($sec_w_title);?></h3>
			<span></span>
			<p><?php echo esc_html($sec_w_subtitle);?></p>
		</div>
	</div><!--- END COL -->
<?php 
  return ob_get_clean();
}
add_shortcode ('single_choice_us', 'sheila_single_choice_us' );

//sheila Services
function sheila_services_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(          
            'sec_bg_img' => '',                 
            'sec_s_title' => 'sheila <span>services</span>',					
		), $atts )
    );
ob_start();
$sec_bg_img = wp_get_attachment_image_src($sec_bg_img,'');
?>

<!-- START SERVICES -->
<section data-stellar-background-ratio="0.3" id="service" class="our_services" style="background-image: url(<?php echo esc_url($sec_bg_img['0']);?>); background-size:cover; background-position: center center;">
	<div class="service_overlay section-padding">
	   <div class="container">
			<div class="row text-center">
			
				<?php if($sec_s_title){?>
					<div class="section-title wow zoomIn">
						<h2 class="section-title-white"><?php echo wp_kses($sec_s_title, array('br' => array(), 'span' => array()), '');?></h2>
						<div></div>
					</div>
				<?php }?>	
				<?php echo do_shortcode($content)?>					
			</div><!--- END ROW -->
		</div><!-- END CONTAINER -->
	</div><!-- END SERVICE OVERLAY -->
</section>
<!-- END SERVICES -->
<?php 
  return ob_get_clean();
}
add_shortcode ('services_area', 'sheila_services_area' );

//sheila Services Single
function sheila_single_service( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(          
            'sec_icon' => 'fa-paper-plane',                 
            'sec_s_title' => 'Web Design',	
            'sec_s_subtitle' => 'Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat.',						
		), $atts )
    );
ob_start();

?>

	<div class="col-md-3 col-sm-6 col-xs-12">
		<div class="service">
			<div class="icon"><i class="fa <?php echo esc_attr($sec_icon);?>"></i></div>
			<h4><?php echo esc_html($sec_s_title);?></h4>
			<p><?php echo esc_html($sec_s_subtitle);?></p>
		</div>
	</div><!-- END COL -->
<?php 
  return ob_get_clean();
}
add_shortcode ('single_service', 'sheila_single_service' );

//sheila Counter Area
function sheila_counter_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                          					
            'sec_bg_img' => '',                 					
		), $atts )
    );
ob_start();
$sec_bg_img = wp_get_attachment_image_src($sec_bg_img,'');
?>

	<div class="text-center" style="background-image: url(<?php echo esc_url($sec_bg_img['0']);?>); background-size:cover; background-position: center center;">
		<div class="service_overlay section-padding">
			<div class="container">
				<div class="row counter_feature"><?php echo do_shortcode($content);?></div>
			</div>
		</div>
	</div>
<?php 
  return ob_get_clean();
}
add_shortcode ('counter_area', 'sheila_counter_area' );

//sheila Counter Single
function sheila_counter_single( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(          
            'sec_text' => 'Team Member',                 
            'sec_number' => '26',                 					              					
		), $atts )
    );
ob_start();

?>

	<div class="col-sm-3 col-xs-6 text-center wow fadeInLeft" data-wow-duration="1s" data-wow-delay="0.4s" data-wow-offset="0">
		<div class="counter">
			<h1 class="timer"> <?php echo esc_html($sec_number);?></h1>                    
			<p><?php echo esc_html($sec_text);?></p>
		</div>
	</div> <!--- END COL --> 
<?php 
  return ob_get_clean();
}
add_shortcode ('counter_single', 'sheila_counter_single' );

//sheila Portfolios 
function sheila_portfolios_shortcode( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(          
            'sec_title' => 'Sheila latest <span>Works</span>',                                  						'vitem_btn_text' => 'View Item', 
            'sec_btn_text' => 'See More Work',                 					
            'sec_btn_link' => '#',                 					
		), $atts )
    );
ob_start();

?>

	<!-- START PORTFOLIO -->
	<section id="portfolio" class="our_portfolio">
		<div class="container">
			<div class="row">
				<?php if($sec_title){?>
					<div class="section-title text-center wow zoomIn">
						<h2><?php echo wp_kses($sec_title, array('br' => array(), 'span' => array()), '');?></h2>
						<div></div>
					</div>
				<?php }?>
				
				<div class="col-md-12 text-center">
					<div class="our_work_menu">
						<?php $terms = get_terms('portfolio_cat');
							if ( ! empty( $terms ) && ! is_wp_error( $terms ) ){
						?>
						<ul>
							<li class="filter wow fadeIn" data-wow-duration="1.5s" data-wow-delay=".25s" data-filter="all"><?php esc_html_e('All' , 'sheila');?></li>
							<?php foreach ( $terms as $term ) :?>
							<li class="filter" data-filter=".<?php echo esc_attr($term->slug); ?>"><?php echo esc_attr($term->name); ?></li>
							<?php endforeach;?>
						</ul>
						<?php }?>										
					</div>				
				</div><!--- END COL -->	
				<div class="work_all_item">					
					<ul class="grid portfolio_project">
			<?php
				global $post;
				$args = array( 'posts_per_page' => -1, 'post_type'=> 'portfolios');
				$myposts = get_posts( $args );		
				foreach( $myposts as $post ) : setup_postdata($post); ?>
				<?php 
					$portfolio_img_url = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_id()), 'wg_piccolo_port_thumb');
					
					$portfolio_terms = get_the_terms(get_the_id(), 'portfolio_cat');
					
					if ( ! empty( $portfolio_terms ) && ! is_wp_error( $portfolio_terms ) ):
						
						$portfolios_cat_slug = array();
						
						foreach($portfolio_terms as $portfolio_term){
							$portfolios_cat_slug[] = $portfolio_term->slug ;
						}
						
						$portfolios_cat_array = join(" ", $portfolios_cat_slug);
						$portfolios_class_array = join(" ", $portfolios_cat_slug);
					endif;
				?>

						<li class="mix <?php echo esc_attr($portfolios_class_array);?>">
							<figure>
								<div><img src="<?php echo esc_url($portfolio_img_url['0']);?>" alt=""></div>
								<figcaption>
									<?php the_title('<h4>' , '</h4>');?>
									<a href="<?php the_permalink();?>"><?php echo esc_html($vitem_btn_text);?></a>
								</figcaption>
							</figure>
						</li>	 

				<?php endforeach; ?>						
						
					</ul>
				</div>					
			</div><!--- END ROW -->
			
			<?php if($sec_btn_link){?>
			<div class="portfolio_btn text-center">
				<a href="<?php echo esc_url($sec_btn_link);?>" class="btn-light-bg"><?php echo esc_html($sec_btn_text);?></a>
			</div>
			<?php }?>
		</div><!--- END CONTAINER -->
	</section>
	<!-- END PORTFOLIO -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('portfolios_shortcode', 'sheila_portfolios_shortcode' );

//sheila Team 
function sheila_team_shortcode( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(          
            'sec_title' => 'Our <span>Experts</span>',                                  					              					
		), $atts )
    );
ob_start();

?>

<!-- START TEAM -->
	<section id="team" class="section-padding">
		<div class="container">
			<div class="row text-center">
				<?php if($sec_title){?>
					<div class="section-title">
						<h2><?php echo wp_kses($sec_title, array('br' => array(), 'span' => array()), '');?></h2>
						<div></div>
					</div>
				<?php }?>
				
	
				<div class="team_carousel slide">
				<?php

					// WP_Query arguments
					$args = array (
						'post_type'              => array( 'sheila_team' ),
						'posts_per_page'         => '-1',
					);

					// The Query
					$sheila_team_query = new WP_Query( $args );

					// The Loop
					if ( $sheila_team_query->have_posts() ) {
						while ( $sheila_team_query->have_posts() ) {
							$sheila_team_query->the_post(); 
							$sheila_id = get_the_ID();
							$sheila_team_image = wp_get_attachment_image_src(get_post_thumbnail_id($sheila_id),'sheila_team_thumb');						
							$sheila_team_designation = get_post_meta($sheila_id,'_sheila_team_designation',true);						
							$sheila_team_fb_url = get_post_meta($sheila_id,'_sheila_team_fburl',true);
							$sheila_team_tw_url = get_post_meta($sheila_id,'_sheila_team_twurl',true);
							$sheila_team_gp_url = get_post_meta($sheila_id,'_sheila_team_gplusurl',true);
							$sheila_team_linke_url = get_post_meta($sheila_id,'_sheila_team_linkeurl',true);
							?>
								<!-- Start team 1 -->
								<div class="single_team">
								  <div class="tema-member">
									<div class="team-thumbnail">
									  <img src="<?php echo esc_url($sheila_team_image['0']);?>" class="img-responsive" alt="team-1">
									  <div class="overlay">
										<div class="social-media">
										<?php if($sheila_team_fb_url){?>
										  <a href="<?php echo esc_url($sheila_team_fb_url);?>" class="team_facebook"><i class="fa fa-facebook"></i></a>
										<?php } if($sheila_team_tw_url){?>  
										  <a href="<?php echo esc_url($sheila_team_tw_url);?>" class="team_twitter"><i class="fa fa-twitter"></i></a>
										<?php } if($sheila_team_gp_url){?> 
										  <a href="<?php echo esc_url($sheila_team_gp_url);?>" class="team_google"><i class="fa fa-google-plus"></i></a>
										<?php } if($sheila_team_linke_url){?>  
										  <a href="<?php echo esc_url($sheila_team_linke_url);?>" class="team_linkedin"><i class="fa fa-linkedin"></i></a>
										<?php }?>
										</div>
									  
									  </div>
									</div>
									<div class="info">
									  <?php the_title('<h3>' , '</h3>');?>
									  <p><?php echo esc_html($sheila_team_designation);?></p>
									</div>
								  </div>
								</div><!--- END COL -->
					<?php	}
					} else {
						// no posts found
					}

					// Restore original Post Data
					wp_reset_postdata();


				?>				

					
				</div>				
			</div><!--- END ROW -->
		</div><!--- END CONTAINER -->
	</section>
	<!-- END TEAM -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('team_shortcode', 'sheila_team_shortcode' );

//sheila Testimonials 
function sheila_testimonial_shortcode( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(          
            'sec_title' => 'Clients <span>feedback</span>',                                  					                					
            'sec_bg_img' => '',                 					
		), $atts )
    );
ob_start();
$sec_bg_img = wp_get_attachment_image_src($sec_bg_img,'');
?>
	<!-- START TESTIMONIAL -->
	<section data-stellar-background-ratio="0.3" class="testimonial" style="background-image: url(<?php echo esc_url($sec_bg_img['0']);?>); background-size:cover; background-position: center center;">
		<div class="testimonial_overlay">
			<div class="container">
				<div class="row">	
					<?php if($sec_title){?>
						<div class="section-title text-center">
							<h2 class="section-title-white"><?php echo wp_kses($sec_title, array('br' => array(), 'span' => array()), '');?></h2>
							<div></div>
						</div>
					<?php }?>
				
					<div class="col-md-12">
						<div id="testimonial__carousel" class="carousel slide" data-ride="carousel" data-interval="9999999">
							<!-- Indicators -->
							<ol class="carousel-indicators">
							
							<?php
									// WP_Query arguments
									$args = array (
										'post_type'              => array( 'testimonials' ),
										'posts_per_page'              => -1,
									);

									// The Query
									$tes_indicators_query = new WP_Query( $args );
									$number = 0; 
									// The Loop
									if ( $tes_indicators_query->have_posts() ) {
										while ( $tes_indicators_query->have_posts() ) {
											$tes_indicators_query->the_post(); ?>
											<li data-target="#testimonial__carousel" data-slide-to="<?php echo esc_attr($number++); ?>"></li>
									<?php	}
									} else {
										// no posts found
									}

									// Restore original Post Data
									wp_reset_postdata();
								
								?>	
								
							</ol>

							<!-- Wrapper for slides -->
							<div class="carousel-inner text-center">	
								<?php

									// WP_Query arguments
									$args = array (
										'post_type'              => array( 'testimonials' ),
										'posts_per_page'         => '-1',
									);

									// The Query
									$sheila_testi_query = new WP_Query( $args );

									// The Loop
									if ( $sheila_testi_query->have_posts() ) {
										while ( $sheila_testi_query->have_posts() ) {
											$sheila_testi_query->the_post(); 
											$sheila_id = get_the_ID();
											$sheila_testi_designation = get_post_meta($sheila_id,'_sheila_testi_designation',true);
											$sheila_team_image = wp_get_attachment_image_src(get_post_thumbnail_id($sheila_id),'sheila_test_thumb');						
											?>
											  <!-- Item 1 -->
											  <div class="item">
												<div class="cover-container">
													<div class="testomonial_left text-center">
														<img src="<?php echo esc_url($sheila_team_image['0']);?>" class="testimonial-image"  alt="" />	
														<?php the_title('<h4>' , '</h4>');?>
														<h5><?php echo esc_html($sheila_testi_designation);?></h5>
													</div>								 
													 <div class="testimonial_text"><?php the_content();?></div>
												</div>
											  </div>
											  <!-- Item 2 -->
									<?php	}
									} else {
										// no posts found
									}

									// Restore original Post Data
									wp_reset_postdata();
								?>			

							  
								</div>
							 </div>
						 </div> 
					</div><!--- END ROW -->
				</div><!--- END CONTAINER -->
			</div><!--- END OVERLAY -->
		</section>
		<!-- END TESTIMONIAL -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('testimonial_shortcode', 'sheila_testimonial_shortcode' );

//sheila Client Area 
function sheila_client_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                           					                					
            'sec_color' => '#f9f9f9',                 					
		), $atts )
    );
ob_start();

?>
	<!-- START COMPANY PARTNER LOGO  -->
	<div class="partner-logo section-padding" style="background-color: <?php echo esc_attr($sec_color);?>;">
		<div class="partner_overlay">
			<div class="container">
				<div class="row">
					<div class="col-md-12">
						<div class="partner  wow fadeInRight">
						
							<?php echo do_shortcode($content);?>
		
						</div>
					</div><!-- END COL  -->
				</div><!--END  ROW  -->
			</div><!-- END CONTAINER  -->
		</div><!-- END OVERLAY -->
	</div>
	<!-- END COMPANY PARTNER LOGO -->
<?php 
  return ob_get_clean();
}
add_shortcode ('client_area', 'sheila_client_area' );

//sheila Client Single 
function sheila_client_single( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                           					                					
            'sec_bg_img' => '',                 					
            'sec_client_url' => '',                 					
		), $atts )
    );
ob_start();
$sec_bg_img = wp_get_attachment_image_src($sec_bg_img,'');
?>
	<a href="<?php echo esc_url($sec_client_url);?>"><img src="<?php echo esc_url($sec_bg_img['0']);?>" alt=""></a>
<?php 
  return ob_get_clean();
}
add_shortcode ('client_single', 'sheila_client_single' );

//sheila latest Blog 
function sheila_latest_blog( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                           					                					
            'sec_title' => 'Latest <span>blog</span>',     					                			
            'post_number' => '2',
			'share_on_text' => 'Share On',
			'read_more_btn_text' => 'Read More', 
            'all_post_btn_text' => 'View All Post',     					                							'all_post_btn_link' => '#', 
		), $atts )
    );
ob_start();

?>
<!-- START BLOG -->
<section id="blog" class="our_blog section-padding">
	<div class="container">		
		<div class="row">	
			<?php if($sec_title){?>
				<div class="section-title text-center">
					<h2><?php echo wp_kses($sec_title, array('br' => array(), 'span' => array()), '');?></h2>
					<div></div>
				</div>
			<?php }?>

			<?php

				// WP_Query arguments
				$args = array (
					'post_type'              => array( 'post' ),
					'posts_per_page'         => $post_number,
				);

				// The Query
				$sheila_latest_blog_query = new WP_Query( $args );

				// The Loop
				if ( $sheila_latest_blog_query->have_posts() ) {
					while ( $sheila_latest_blog_query->have_posts() ) {
						$sheila_latest_blog_query->the_post(); 
						$sheila_id = get_the_ID();					
						$sheila_blog_image = wp_get_attachment_image_src(get_post_thumbnail_id($sheila_id),'sheila_latest_blot_thumb');
						
						if(has_post_thumbnail()){
						?>

						<div class="col-md-6 col-sm-6 col-xs-12 wow fadeInLeft" data-wow-duration="1s" data-wow-delay="0.2s" data-wow-offset="0">
							<div class="single-blog">
								<div class="single-img">
									<img src="<?php echo esc_url($sheila_blog_image['0']);?>" class="img-responsive" alt=""/>
									<div class="post-date">
										<h4><?php echo esc_html(get_the_time('d F, Y' ,get_the_ID()));?></h4>
									</div>
									<div class="blog-social">
										<h4><?php echo esc_html($share_on_text);?></h4>
									<?php 
											$permalink = get_the_permalink(get_the_ID());
											$title = get_the_title();
										?>
										<ul>
											<li><a onClick="window.open('http://www.facebook.com/sharer.php?u=<?php echo esc_url($permalink) ;?>','Facebook','width=600,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-150)+''); return false;" href="http://www.facebook.com/sharer.php?u=<?php echo esc_url($permalink) ;?>"><i class="fa fa-facebook facebook"></i></a></li>
											<li><a onClick="window.open('http://twitter.com/share?url=<?php echo esc_url($permalink) ;?>&amp;text=<?php echo esc_attr($title) ;?>','Twitter share','width=600,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-150)+''); return false;" href="http://twitter.com/share?url=<?php echo esc_url($permalink) ;?>&amp;text=<?php echo str_replace(" ", "%20", $title); ?>"><i class="fa fa-twitter twitter"></i></a></li>
											<li><a onClick="window.open('https://plus.google.com/share?url=<?php echo esc_url($permalink) ;?>','Google plus','width=585,height=666,left='+(screen.availWidth/2-292)+',top='+(screen.availHeight/2-333)+''); return false;" href="https://plus.google.com/share?url=<?php echo esc_url($permalink) ;?>"><i class="fa fa-google-plus google"></i></a></li>	
											<li><a onClick="window.open('http://www.linkedin.com/shareArticle?url=<?php echo esc_url($permalink) ;?>&title=<?php echo esc_attr($title) ;?>','Linkedin','width=600,height=300,left='+(screen.availWidth/2-300)+',top='+(screen.availHeight/2-150)+''); return false;" href="http://www.linkedin.com/shareArticle?url=<?php echo esc_url($permalink) ;?>&title=<?php echo esc_attr($title) ;?>"><i class="fa fa-linkedin linkedin"></i></a></li>
										</ul>									
									</div>									
								</div>	
								<div class="single_blog_dsc">
									<h3 class="blog-title"><a href="<?php the_permalink();?>"><?php the_title();?></a></h3>
									<?php sheila_readmore_content(26);?>
									<a href="<?php the_permalink();?>"><?php echo esc_html($read_more_btn_text);?></a>
								</div>
							</div>
						</div><!-- END COL -->	
						
				<?php
					}
				}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();

			?>			

			
		</div><!-- END ROW -->
		
		<?php if($all_post_btn_link){?>
			<div class="row">
				<div class="col-md-12 col-sm-12 col-xs-12 wow zoomIn">
					<div class="view_more text-center">
						<a class="btn-light-bg" href="<?php echo esc_url($all_post_btn_link);?>"><?php echo esc_html($all_post_btn_text);?></a>
					</div>
				</div><!-- END COL -->
			</div><!-- END ROW -->
		<?php }?>
	</div><!-- END CONTAINER -->
</section>
<!-- END BLOG -->
<?php 
  return ob_get_clean();
}
add_shortcode ('latest_blog', 'sheila_latest_blog' );

//sheila Newsletter
function sheila_newsletter( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                           					                					
            'sec_icon' => 'fa-envelope-o',     					                					
            'sec_title' => 'Subscribe for newsletter to get updates',     					                					
            'sec_background_img' => '',     					                					
            'mailchamp_shortcode_id' => '',     					                					
		), $atts )
    );
ob_start();
$sec_background_img = wp_get_attachment_image_src($sec_background_img,'');
?>
<!-- START NEWSLETTER SECTION -->
<section class="newsletter" style="background-image: url(<?php echo esc_url($sec_background_img['0']);?>); background-size:cover; background-position: center center;">
	<div class="newsletter_overlay">
		<div class="container">
			<div class="row">
				<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
					<h4 class="newsletter-title"><i class="fa <?php echo esc_attr($sec_icon);?>"></i> <?php echo esc_html($sec_title);?></h4>
				</div><!-- END COL -->
				<div class="col-md-6 col-sm-6 col-xs-12">
					<?php 
					if($mailchamp_shortcode_id){
						
						echo do_shortcode('[mc4wp_form id="'.esc_attr($mailchamp_shortcode_id).'"]');
					
					}
						
					?>
				</div><!-- END COL -->
			</div><!-- END ROW -->
		</div><!-- END CONTAINER -->
	</div>
</section>
<!-- END NEWSLETTER SECTION -->
<?php 
  return ob_get_clean();
}
add_shortcode ('newsletter_area', 'sheila_newsletter' );

//sheila Pricing
function sheila_pricing_table_s( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                           					                					 					                					
            'sec_title' => 'Pricing <span>plan</span>',     					                					    					                					
            'post_number' => '4',     					                					
		), $atts )
    );
ob_start();

?>
<!-- START PRICING TABLE -->
<section id="pricing" class="our_pricing section-padding">
	<div class="container">
		<div class="row pricing">
			<?php if($sec_title){?>
				<div class="section-title text-center">
					<h2><?php echo wp_kses($sec_title, array('br' => array(), 'span' => array()), '');?></h2>
					<div></div>
				</div>
			<?php }
			
				// WP_Query arguments
				$args = array (
					'post_type'              => array( 'pricing_table' ),
					'posts_per_page'         => $post_number,
				);

				// The Query
				$sheila_pricing_query = new WP_Query( $args );

				// The Loop
				if ( $sheila_pricing_query->have_posts() ) {
					while ( $sheila_pricing_query->have_posts() ) {
						$sheila_pricing_query->the_post(); 
						$sheila_pricing_pt_currency_type = get_post_meta(get_the_ID(),'_sheila_pt_currency_type',true);	
						$sheila_pricing_pt_amount = get_post_meta(get_the_ID(),'_sheila_pt_amount',true);		
						$sheila_pricing_pricing_group_field_opt = get_post_meta(get_the_ID(),'_sheila_pricing_group_field_opt',true);	
						$sheila_pricing_pt_button_link = get_post_meta(get_the_ID(),'_sheila_pt_button_link',true);	
						
						?>
						  <div class="col-md-3 col-sm-6">
							<div class="pricing-table">
								<p class="ccr-price-title pricing-color-title-one"><?php the_title();?></p>
							  <div class="ccr-price">
								<P class="ccr-price-value"><?php echo esc_html($sheila_pricing_pt_currency_type);?><?php echo esc_html($sheila_pricing_pt_amount);?></P>
							  </div>
							  <ul class="ccr-price-list">
								<?php

									foreach ( (array) $sheila_pricing_pricing_group_field_opt as $key => $pt_entry ) {

										$feature = '';

										if ( isset( $pt_entry['_sheila_pt_feature'] ) )
											$feature = $pt_entry['_sheila_pt_feature'] ;
										
										?>

										<li><?php echo esc_html($feature);?></li>
								<?php } ?>								  
								
							  </ul>
							  <a class="btn-light-bg" href="<?php echo esc_html($sheila_pricing_pt_button_link);?>"><?php esc_html_e('Select Plan' , 'sheila');?></a>
							</div>
						  </div><!--- END COL -->
				<?php	}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();

			
			?>			

		</div><!--- END ROW -->
	</div><!--- END CONTAINER -->	
</section>	  
<?php 
  return ob_get_clean();
}
add_shortcode ('pricing_table', 'sheila_pricing_table_s' );

//sheila Contact Us
function sheila_contact_us( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                           					                					 					                					
            'sec_title' => 'Contact with <span>Sheila</span>',     					                					    					                					
            'sec_background_img' => '',     					                					
            'con_form_7_shortcode_id' => '',     					                					
            'con_loc_icon' => 'fa-rocket',     					                					
            'con_loc_title' => 'Our Location',     					                					
            'con_loc_info' => '2369 Robinson Lane Jackson, <br>OH 45640',   
            'con_phnumber_icon' => 'fa-phone',     					                					
            'con_phone_number_title' => 'Call us on',     					                					
            'con_phone_info' => '(+1) 740-395-3829 <br /> (+1) 516-528-9111', 
			'con_email_icon' => 'fa-envelope',     					                					
            'con_email_number_title' => 'Send your message',     					                					
            'con_email_info' => 'Info@roshni.com. <br /> admin@roshni.com',     					                					
		), $atts )
    );
ob_start();
$sec_background_img = wp_get_attachment_image_src($sec_background_img,'');
?>
<!-- START CONTACT FORM-->
<section data-stellar-background-ratio="0.3" id="contact" class="contact_area" style="background-image: url(<?php echo esc_url($sec_background_img['0']);?>); background-size:cover; background-position: center center;background-attachment:fixed">
	<div class="contact_overlay">
		<div class="container">
			<div class="row">	

			<?php if($sec_title){?>
				<div class="section-title text-center">
					<h2 class="section-title-white"><?php echo wp_kses($sec_title, array('br' => array(), 'span' => array()), '');?></h2>
					<div></div>
				</div>
			<?php }	?>			

			
				<div class="col-md-6 col-sm-6 col-xs-12 wow fadeInRight">
					<div class="contact">
						<?php echo do_shortcode('[contact-form-7 id="'.esc_attr($con_form_7_shortcode_id).'"]');?>
					</div>
				</div><!-- END COL -->
				
				<div class="col-md-6 col-sm-6 col-xs-12 wow fadeInRight">
					<div class="contact_address">
						<div class="single_address">
							<div class="address_icon"><i class="fa <?php echo esc_attr($con_loc_icon);?>"></i></div>
							<h4><?php echo esc_html($con_loc_title);?></h4>
							<p><?php echo wp_kses($con_loc_info, array('br' => array(), 'p' => array()), '');?></p>			
						</div>
						
						<div class="single_address">
							<div class="address_icon"><i class="fa <?php echo esc_attr($con_phnumber_icon);?>"></i></div>
							<h4><?php echo esc_html($con_phone_number_title);?></h4>
							<p><?php echo wp_kses($con_phone_info, array('br' => array(), 'span' => array()), '');?> </p>
							
						</div>
						<div class="single_address">
							<div class="address_icon"><i class="fa <?php echo esc_attr($con_email_icon);?>"></i></div>
							<h4><?php echo esc_html($con_email_number_title);?></h4>
							<p><?php echo wp_kses($con_email_info, array('br' => array(), 'span' => array()), '');?></p>
						</div>
					</div>
				</div><!-- END COL -->
			</div><!--- END ROW -->				
		</div><!--- END CONTAINER -->	
	</div><!--- END CONTACT OVERLAY -->	
</section>
<!-- END CONTACT FORM -->	
<?php 
  return ob_get_clean();
}
add_shortcode ('contact_us', 'sheila_contact_us' );

//sheila Google Map
function sheila_google_map( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                           					                					 					                					
            'sec_api_key' => 'AIzaSyDwIQh7LGryQdDDi-A603lR8NqiF3R_ycA',     					                					    					                					
            'sec_lat' => '40.7127837',     					                					    					                					
            'sec_long' => '-74.00594130000002',     					                					    					                					
            'sec_zoom' => '5',     					                					    					                					
		), $atts )
    );
ob_start();

?>
	<!-- START MAP -->
		<div class="map" id="map"></div>
		<!-- END MAP -->
<script src="https://maps.googleapis.com/maps/api/js?key=<?php echo esc_js($sec_api_key);?>"></script>

<script type="text/javascript">

		(function($) {
			function initialize() {
			  var mapOptions = {
				zoom: <?php echo esc_js($sec_zoom);?>,
				scrollwheel: false,
				center: new google.maps.LatLng(<?php echo esc_js($sec_lat);?>, <?php echo esc_js($sec_long);?>)
			  };
			  var map = new google.maps.Map(document.getElementById('map'),
				  mapOptions);
			  var marker = new google.maps.Marker({
				position: map.getCenter(),
				icon: '<?php echo esc_url(get_stylesheet_directory_uri());?>/assets/img/map_pin.png',
				map: map
			  });
			}
			google.maps.event.addDomListener(window, 'load', initialize);
		  })(jQuery);	
</script>		
<?php 
  return ob_get_clean();
}
add_shortcode ('google_map', 'sheila_google_map' );

//Shortcode Importer
function sheila_shortcode_importer( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                   
            'enter_shortcode' => '',                                                                              

		), $atts )
    );

	echo do_shortcode($enter_shortcode);
}
add_shortcode ('shortcode_importer', 'sheila_shortcode_importer' );